package com.xjrsoft.common.model.tree;

import java.util.List;

/**
 * @Author: tzx
 * @Date: 2022/3/7 15:46
 */
public interface ITreeNode<T extends ITreeNode<T, V>, V > {
    /**
     * 获取id
     *
     * @return
     */
    V getId();

    /**
     * 获取父级id
     *
     * @return
     */
    V getParentId();

    /**
     * 设置父级id
     */
    void setParentId(V v);

    /**
     * 获取子级
     *
     * @return
     */
    List<T> getChildren();

    /**
     * 设置子级
     *
     * @param children
     */
    void setChildren(List<T> children);

}
